ST_EXPR_EXPAND(3)

EXPERIMENTAL_FUNC
st_expr_expand - Expand an expression using Borne Shell-like unquoted rules.

SYNOPSIS
#include <karma_st.h>

flag st_expr_expand

(char *output, unsigned int length, CONST char *input, CONST char *(*get_variable) (CONST char *variable, void *info), void *info, FILE *errfp)

DESCRIPTION
Expand an expression using Borne Shell-like unquoted rules.

output
    The output expanded expression is written here.

length
    The size of the output buffer.

input
    The input expression. This may equal <<output>>.

get_variable
    A function which will be used to get variable values. If this returns NULL, the environment is searched instead. If this is NULL, only the environment is searched.

info
    An arbitrary pointer passed to <<get_variable>>.

errfp
    Diagnostic messages are written here. If this is NULL the global stderr is used instead.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/